package com.chenyang.nse.bussiness.entity.orm.table.core.blobmasking;

import java.util.Date;

public class TCoreBlobMaskingTask {
   private String taskname;
   private String taskNote;
   private String dataSourceid;
   private String bschema;
   private String tablename;
   private String fieldname;
   private String maskrange;
   private Date createtime;
   private Date updatetime;
   private String userId;
   private String username;
   private String isRunState;

   public String getTaskname() {
      return this.taskname;
   }

   public void setTaskname(String taskname) {
      this.taskname = taskname;
   }

   public String getDataSourceid() {
      return this.dataSourceid;
   }

   public void setDataSourceid(String dataSourceid) {
      this.dataSourceid = dataSourceid;
   }

   public String getBschema() {
      return this.bschema;
   }

   public void setBschema(String bschema) {
      this.bschema = bschema;
   }

   public String getTablename() {
      return this.tablename;
   }

   public void setTablename(String tablename) {
      this.tablename = tablename;
   }

   public String getFieldname() {
      return this.fieldname;
   }

   public void setFieldname(String fieldname) {
      this.fieldname = fieldname;
   }

   public String getMaskrange() {
      return this.maskrange;
   }

   public void setMaskrange(String maskrange) {
      this.maskrange = maskrange;
   }

   public Date getCreatetime() {
      return this.createtime;
   }

   public void setCreatetime(Date createtime) {
      this.createtime = createtime;
   }

   public Date getUpdatetime() {
      return this.updatetime;
   }

   public void setUpdatetime(Date updatetime) {
      this.updatetime = updatetime;
   }

   public String getTaskNote() {
      return this.taskNote;
   }

   public void setTaskNote(String taskNote) {
      this.taskNote = taskNote;
   }

   public String getUserId() {
      return this.userId;
   }

   public void setUserId(String userId) {
      this.userId = userId;
   }

   public String getUsername() {
      return this.username;
   }

   public void setUsername(String username) {
      this.username = username;
   }

   public String getIsRunState() {
      return this.isRunState;
   }

   public void setIsRunState(String isRunState) {
      this.isRunState = isRunState;
   }
}
